searchData={"items":[{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1","doc":"API client metadata for GoogleApi.FirebaseAppCheck.V1.","ref":"GoogleApi.FirebaseAppCheck.V1.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.discovery_revision/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Api.Jwks","doc":"API calls for all endpoints tagged `Jwks`.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Jwks.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Jwks.firebaseappcheck_jwks_get/4","doc":"Returns a public JWK set as specified by [RFC 7517](https://tools.ietf.org/html/rfc7517) that can be used to verify App Check tokens. Exactly one of the public keys in the returned set will successfully validate any App Check token that is currently valid.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Jwks.html#firebaseappcheck_jwks_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Jwks.firebaseappcheck_jwks_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name to the public JWK set. Must always be exactly the string `jwks`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Jwks.html#firebaseappcheck_jwks_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Jwks.firebaseappcheck_jwks_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwkSet{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Jwks.html#firebaseappcheck_jwks_get/4-returns"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients","doc":"API calls for all endpoints tagged `OauthClients`.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4","doc":"Accepts an App Attest assertion and an artifact previously obtained from ExchangeAppAttestAttestation and verifies those with Apple. If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4","doc":"Accepts an App Attest CBOR attestation and verifies it with Apple using your preconfigured team and bundle IDs. If valid, returns an attestation artifact that can later be exchanged for an AppCheckToken using ExchangeAppAttestAssertion. For convenience and performance, this method's response object will also contain an AppCheckToken (if the verification is successful).","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_debug_token/4","doc":"Validates a debug token secret that you have previously created using CreateDebugToken. If valid, returns an AppCheckToken. Note that a restrictive quota is enforced on this method to prevent accidental exposure of the app to abuse.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_debug_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_debug_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_debug_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_debug_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_debug_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_generate_app_attest_challenge/4","doc":"Generates a challenge that protects the integrity of an immediately following call to ExchangeAppAttestAttestation or ExchangeAppAttestAssertion. A challenge should not be reused for multiple calls.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_generate_app_attest_challenge/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_generate_app_attest_challenge/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_generate_app_attest_challenge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.firebaseappcheck_oauth_clients_generate_app_attest_challenge/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.OauthClients.html#firebaseappcheck_oauth_clients_generate_app_attest_challenge/4-returns"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_batch_get/4","doc":"Atomically gets the AppAttestConfigs for the specified list of apps.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all AppAttestConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the AppAttestConfigs to retrieve, in the format ``` projects/{project_number}/apps/{app_id}/appAttestConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetAppAttestConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_get/4","doc":"Gets the AppAttestConfig for the specified app.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the AppAttestConfig, in the format: ``` projects/{project_number}/apps/{app_id}/appAttestConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_patch/4","doc":"Updates the AppAttestConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange AppAttest tokens for App Check tokens.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the App Attest configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/appAttestConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the AppAttestConfig to update. Example: `token_ttl`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_create/4","doc":"Creates a new DebugToken for the specified app. For security reasons, after the creation operation completes, the `token` field cannot be updated or retrieved, but you can revoke the debug token using DeleteDebugToken. Each app can have a maximum of 20 debug tokens.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_create/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_create/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent app in which the specified DebugToken will be created, in the format: ``` projects/{project_number}/apps/{app_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_create/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_create/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_delete/4","doc":"Deletes the specified DebugToken. A deleted debug token cannot be used to exchange for an App Check token. Use this method when you suspect the secret `token` has been compromised or when you no longer need the debug token.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_delete/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_delete/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the DebugToken to delete, in the format: ``` projects/{project_number}/apps/{app_id}/debugTokens/{debug_token_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_delete/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_delete/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_get/4","doc":"Gets the specified DebugToken. For security reasons, the `token` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the debug token, in the format: ``` projects/{project_number}/apps/{app_id}/debugTokens/{debug_token_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_list/4","doc":"Lists all DebugTokens for the specified app. For security reasons, the `token` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_list/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_list/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent app for which to list each associated DebugToken, in the format: ``` projects/{project_number}/apps/{app_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of DebugTokens to return in the response. Note that an app can have at most 20 debug tokens. The server may return fewer than this at its own discretion. If no value is specified (or too large a value is specified), the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to ListDebugTokens indicating where in the set of DebugTokens to resume listing. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListDebugTokens must match the call that provided the page token; if they do not match, the result is undefined.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_list/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListDebugTokensResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_list/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_patch/4","doc":"Updates the specified DebugToken. For security reasons, the `token` field cannot be updated, nor will it be populated in the response, but you can revoke the debug token using DeleteDebugToken.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the debug token, in the format: ``` projects/{project_number}/apps/{app_id}/debugTokens/{debug_token_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the DebugToken to update. Example: `display_name`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_device_check_config_batch_get/4","doc":"Atomically gets the DeviceCheckConfigs for the specified list of apps. For security reasons, the `private_key` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_device_check_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all DeviceCheckConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the DeviceCheckConfigs to retrieve, in the format ``` projects/{project_number}/apps/{app_id}/deviceCheckConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_device_check_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetDeviceCheckConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_device_check_config_get/4","doc":"Gets the DeviceCheckConfig for the specified app. For security reasons, the `private_key` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_device_check_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the DeviceCheckConfig, in the format: ``` projects/{project_number}/apps/{app_id}/deviceCheckConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_device_check_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_device_check_config_patch/4","doc":"Updates the DeviceCheckConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange DeviceCheck tokens for App Check tokens. For security reasons, the `private_key` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_device_check_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the DeviceCheck configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/deviceCheckConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the DeviceCheckConfig to update. Example: `key_id,private_key`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_device_check_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_assertion/4","doc":"Accepts an App Attest assertion and an artifact previously obtained from ExchangeAppAttestAttestation and verifies those with Apple. If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_assertion/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_assertion/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_assertion/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_assertion/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_assertion/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_attestation/4","doc":"Accepts an App Attest CBOR attestation and verifies it with Apple using your preconfigured team and bundle IDs. If valid, returns an attestation artifact that can later be exchanged for an AppCheckToken using ExchangeAppAttestAssertion. For convenience and performance, this method's response object will also contain an AppCheckToken (if the verification is successful).","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_attestation/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_attestation/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_attestation/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_attestation/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_attestation/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_custom_token/4","doc":"Validates a custom token signed using your project's Admin SDK service account credentials. If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_custom_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_custom_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeCustomTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_custom_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_custom_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_custom_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_debug_token/4","doc":"Validates a debug token secret that you have previously created using CreateDebugToken. If valid, returns an AppCheckToken. Note that a restrictive quota is enforced on this method to prevent accidental exposure of the app to abuse.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_debug_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_debug_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_debug_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_debug_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_debug_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_device_check_token/4","doc":"Accepts a [`device_token`](https://developer.apple.com/documentation/devicecheck/dcdevice) issued by DeviceCheck, and attempts to validate it with Apple. If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_device_check_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_device_check_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDeviceCheckTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_device_check_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_device_check_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_device_check_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_play_integrity_token/4","doc":"Validates an [integrity verdict response token from Play Integrity](https://developer.android.com/google/play/integrity/verdict#decrypt-verify). If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_play_integrity_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_play_integrity_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the Android app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangePlayIntegrityTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_play_integrity_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_play_integrity_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_play_integrity_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4","doc":"Validates a [reCAPTCHA Enterprise response token](https://cloud.google.com/recaptcha-enterprise/docs/create-assessment#retrieve_token). If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the web app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaEnterpriseTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4","doc":"Validates a [reCAPTCHA v3 response token](https://developers.google.com/recaptcha/docs/v3). If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the web app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaV3TokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_safety_net_token/4","doc":"Validates a [SafetyNet token](https://developer.android.com/training/safetynet/attestation#request-attestation-step). If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_safety_net_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_safety_net_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the Android app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeSafetyNetTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_safety_net_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_exchange_safety_net_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_exchange_safety_net_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_generate_app_attest_challenge/4","doc":"Generates a challenge that protects the integrity of an immediately following call to ExchangeAppAttestAttestation or ExchangeAppAttestAssertion. A challenge should not be reused for multiple calls.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_generate_app_attest_challenge/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_generate_app_attest_challenge/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_generate_app_attest_challenge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_generate_app_attest_challenge/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_generate_app_attest_challenge/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_generate_play_integrity_challenge/4","doc":"Generates a challenge that protects the integrity of an immediately following integrity verdict request to the Play Integrity API. The next call to ExchangePlayIntegrityToken using the resulting integrity token will verify the presence and validity of the challenge. A challenge should not be reused for multiple calls.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_generate_play_integrity_challenge/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_generate_play_integrity_challenge/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_generate_play_integrity_challenge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_generate_play_integrity_challenge/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_generate_play_integrity_challenge/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_batch_get/4","doc":"Atomically gets the PlayIntegrityConfigs for the specified list of apps.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all PlayIntegrityConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the PlayIntegrityConfigs to retrieve, in the format ``` projects/{project_number}/apps/{app_id}/playIntegrityConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetPlayIntegrityConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_get/4","doc":"Gets the PlayIntegrityConfig for the specified app.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the PlayIntegrityConfig, in the format: ``` projects/{project_number}/apps/{app_id}/playIntegrityConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_patch/4","doc":"Updates the PlayIntegrityConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange Play Integrity tokens for App Check tokens.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the Play Integrity configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/playIntegrityConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the PlayIntegrityConfig to update. Example: `token_ttl`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4","doc":"Atomically gets the RecaptchaEnterpriseConfigs for the specified list of apps.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all RecaptchaEnterpriseConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the RecaptchaEnterpriseConfigs to retrieve, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaEnterpriseConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaEnterpriseConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4","doc":"Gets the RecaptchaEnterpriseConfig for the specified app.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the RecaptchaEnterpriseConfig, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaEnterpriseConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4","doc":"Updates the RecaptchaEnterpriseConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange reCAPTCHA Enterprise tokens for App Check tokens.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the reCAPTCHA Enterprise configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaEnterpriseConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the RecaptchaEnterpriseConfig to update. Example: `site_key`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4","doc":"Atomically gets the RecaptchaV3Configs for the specified list of apps. For security reasons, the `site_secret` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all RecaptchaV3Configs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the RecaptchaV3Configs to retrieve, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaV3Config ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaV3ConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_get/4","doc":"Gets the RecaptchaV3Config for the specified app. For security reasons, the `site_secret` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the RecaptchaV3Config, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaV3Config ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4","doc":"Updates the RecaptchaV3Config for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange reCAPTCHA V3 tokens for App Check tokens. For security reasons, the `site_secret` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the reCAPTCHA v3 configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaV3Config ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the RecaptchaV3Config to update. Example: `site_secret`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_batch_get/4","doc":"Atomically gets the SafetyNetConfigs for the specified list of apps.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all SafetyNetConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the SafetyNetConfigs to retrieve, in the format ``` projects/{project_number}/apps/{app_id}/safetyNetConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetSafetyNetConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_get/4","doc":"Gets the SafetyNetConfig for the specified app.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the SafetyNetConfig, in the format: ``` projects/{project_number}/apps/{app_id}/safetyNetConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_patch/4","doc":"Updates the SafetyNetConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange SafetyNet tokens for App Check tokens.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the SafetyNet configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/safetyNetConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the SafetyNetConfig to update. Example: `token_ttl`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_batch_update/4","doc":"Atomically updates the specified Service configurations.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all Service configurations being updated, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being updated must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_batch_update/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_batch_update/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_get/4","doc":"Gets the Service configuration for the specified service name.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the Service to retrieve, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `firebasestorage.googleapis.com` (Cloud Storage for Firebase) * `firebasedatabase.googleapis.com` (Firebase Realtime Database) * `firestore.googleapis.com` (Cloud Firestore)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_list/4","doc":"Lists all Service configurations for the specified project. Only Services which were explicitly configured using UpdateService or BatchUpdateServices will be returned.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_list/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_list/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent project for which to list each associated Service, in the format: ``` projects/{project_number} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of Services to return in the response. Only explicitly configured services are returned. The server may return fewer than this at its own discretion. If no value is specified (or too large a value is specified), the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to ListServices indicating where in the set of Services to resume listing. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListServices must match the call that provided the page token; if they do not match, the result is undefined.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_list/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListServicesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_list/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_patch/4","doc":"Updates the specified Service configuration.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the service configuration object, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `firebasestorage.googleapis.com` (Cloud Storage for Firebase) * `firebasedatabase.googleapis.com` (Firebase Realtime Database) * `firestore.googleapis.com` (Cloud Firestore)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the Service to update. Example: `enforcement_mode`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_batch_update/4","doc":"Atomically updates the specified ResourcePolicy configurations.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent service name, in the format ``` projects/{project_number}/services/{service_id} ``` The parent collection in the `name` field of any resource being updated must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_batch_update/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_batch_update/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_create/4","doc":"Creates the specified ResourcePolicy configuration.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_create/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_create/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent Service in which the specified ResourcePolicy will be created, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_create/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_create/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_delete/4","doc":"Deletes the specified ResourcePolicy configuration.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_delete/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_delete/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the ResourcePolicy to delete, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:etag` (*type:* `String.t`) - The checksum to be validated against the current ResourcePolicy, to ensure the client has an up-to-date value before proceeding. This checksum is computed by the server based on the values of fields in the ResourcePolicy object, and can be obtained from the ResourcePolicy object received from the last CreateResourcePolicy, GetResourcePolicy, ListResourcePolicies, UpdateResourcePolicy, or BatchUpdateResourcePolicies call. This etag is strongly validated as defined by RFC 7232.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_delete/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_delete/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_get/4","doc":"Gets the requested ResourcePolicy configuration.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the ResourcePolicy to retrieve, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_list/4","doc":"Lists all ResourcePolicy configurations for the specified project and service.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_list/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_list/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent Service for which to list each associated ResourcePolicy, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filters the results by the specified rule. For the exact syntax of this field, please consult the [AIP-160](https://google.aip.dev/160) standard. Currently, since the only fields in the ResourcePolicy resource are the scalar fields `enforcement_mode` and `target_resource`, this method does not support the traversal operator (`.`) or the has operator (`:`). Here are some examples of valid filters: * `enforcement_mode = ENFORCED` * `target_resource = \"//oauth2.googleapis.com/projects/12345/oauthClients/\"` * `enforcement_mode = ENFORCED AND target_resource = \"//oauth2.googleapis.com/projects/12345/oauthClients/\"`\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of ResourcePolicy objects to return in the response. The server may return fewer than this at its own discretion. If no value is specified (or too large a value is specified), the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to ListResourcePolicies indicating where in the set of ResourcePolicy objects to resume listing. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListResourcePolicies must match the call that provided the page token; if they do not match, the result is undefined.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_list/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListResourcePoliciesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_list/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_patch/4","doc":"Updates the specified ResourcePolicy configuration.","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Identifier. The relative name of the resource policy object, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS) `resource_policy_id` is a system-generated UID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the ResourcePolicy to update. Example: `enforcement_mode`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Api.Projects.firebaseappcheck_projects_services_resource_policies_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_patch/4-returns"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Connection","doc":"Handle Tesla connections for GoogleApi.FirebaseAppCheck.V1.","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.FirebaseAppCheck.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.FirebaseAppCheck.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Connection.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig","doc":"An app's App Attest configuration object. This configuration controls certain properties of the `AppCheckToken` returned by ExchangeAppAttestAttestation and ExchangeAppAttestAssertion, such as its ttl. Note that the Team ID registered with your app is used as part of the validation process. Please register it via the Firebase Console or programmatically via the [Firebase Management Service](https://firebase.google.com/docs/projects/api/reference/rest/v11/projects.iosApps/patch).","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the App Attest configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/appAttestConfig ```\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from App Attest artifacts will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken","doc":"Encapsulates an *App Check token*, which are used to access Firebase services protected by App Check.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken","doc":"*   `token` (*type:* `String.t`, *default:* `nil`) - The App Check token. App Check tokens are signed [JWTs](https://tools.ietf.org/html/rfc7519) containing claims that identify the attested app and Firebase project. This token is used to access Firebase services protected by App Check. These tokens can also be [verified by your own custom backends](https://firebase.google.com/docs/app-check/custom-resource-backend) using the Firebase Admin SDK.\n*   `ttl` (*type:* `String.t`, *default:* `nil`) - The duration from the time this token is minted until its expiration. This field is intended to ease client-side token management, since the client may have clock skew, but is still able to accurately measure a duration.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetAppAttestConfigsResponse","doc":"Response message for the BatchGetAppAttestConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetAppAttestConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetAppAttestConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppAttestConfig.t)`, *default:* `nil`) - AppAttestConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetAppAttestConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetAppAttestConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetAppAttestConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetAppAttestConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetAppAttestConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetDeviceCheckConfigsResponse","doc":"Response message for the BatchGetDeviceCheckConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetDeviceCheckConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetDeviceCheckConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig.t)`, *default:* `nil`) - DeviceCheckConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetDeviceCheckConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetDeviceCheckConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetDeviceCheckConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetDeviceCheckConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetDeviceCheckConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetPlayIntegrityConfigsResponse","doc":"Response message for the BatchGetPlayIntegrityConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetPlayIntegrityConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetPlayIntegrityConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig.t)`, *default:* `nil`) - PlayIntegrityConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetPlayIntegrityConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetPlayIntegrityConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetPlayIntegrityConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetPlayIntegrityConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetPlayIntegrityConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaEnterpriseConfigsResponse","doc":"Response message for the BatchGetRecaptchaEnterpriseConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaEnterpriseConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaEnterpriseConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig.t)`, *default:* `nil`) - RecaptchaEnterpriseConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaEnterpriseConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaEnterpriseConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaEnterpriseConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaEnterpriseConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaEnterpriseConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaV3ConfigsResponse","doc":"Response message for the BatchGetRecaptchaV3Configs method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaV3ConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaV3ConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config.t)`, *default:* `nil`) - RecaptchaV3Configs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaV3ConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaV3ConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaV3ConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaV3ConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetRecaptchaV3ConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetSafetyNetConfigsResponse","doc":"Response message for the BatchGetSafetyNetConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetSafetyNetConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetSafetyNetConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig.t)`, *default:* `nil`) - SafetyNetConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetSafetyNetConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetSafetyNetConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetSafetyNetConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetSafetyNetConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchGetSafetyNetConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesRequest","doc":"Request message for the BatchUpdateResourcePolicies method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesRequest","doc":"*   `requests` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateResourcePolicyRequest.t)`, *default:* `nil`) - Required. The request messages specifying the ResourcePolicy objects to update. A maximum of 100 objects can be updated in a batch.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Optional. A comma-separated list of names of fields in the ResourcePolicy objects to update. Example: `enforcement_mode`. If this field is present, the `update_mask` field in the UpdateResourcePolicyRequest messages must all match this field, or the entire batch fails and no updates will be committed.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesResponse","doc":"Response message for the BatchUpdateResourcePolicies method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesResponse","doc":"*   `resourcePolicies` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.t)`, *default:* `nil`) - ResourcePolicy objects after the updates have been applied.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateResourcePoliciesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesRequest","doc":"Request message for the BatchUpdateServices method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesRequest","doc":"*   `requests` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateServiceRequest.t)`, *default:* `nil`) - Required. The request messages specifying the Services to update. A maximum of 100 objects can be updated in a batch.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Optional. A comma-separated list of names of fields in the Services to update. Example: `display_name`. If the `update_mask` field is set in both this request and any of the UpdateServiceRequest messages, they must match or the entire batch fails and no updates will be committed.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesResponse","doc":"Response message for the BatchUpdateServices method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesResponse","doc":"*   `services` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.t)`, *default:* `nil`) - Service objects after the updates have been applied.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1BatchUpdateServicesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken","doc":"A *debug token* is a secret used during the development or integration testing of an app. It essentially allows the development or integration testing to bypass app attestation while still allowing App Check to enforce protection on supported production Firebase services.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. A human readable display name used to identify this debug token.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the debug token, in the format: ``` projects/{project_number}/apps/{app_id}/debugTokens/{debug_token_id} ```\n*   `token` (*type:* `String.t`, *default:* `nil`) - Required. Input only. Immutable. The secret token itself. Must be provided during creation, and must be a UUID4, case insensitive. This field is immutable once set, and cannot be provided during an UpdateDebugToken request. You can, however, delete this debug token using DeleteDebugToken to revoke it. For security reasons, this field will never be populated in any response.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp when this debug token was most recently updated.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig","doc":"An app's DeviceCheck configuration object. This configuration is used by ExchangeDeviceCheckToken to validate device tokens issued to apps by DeviceCheck. It also controls certain properties of the returned `AppCheckToken`, such as its ttl. Note that the Team ID registered with your app is used as part of the validation process. Please register it via the Firebase Console or programmatically via the [Firebase Management Service](https://firebase.google.com/docs/projects/api/reference/rest/v11/projects.iosApps/patch).","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig","doc":"*   `keyId` (*type:* `String.t`, *default:* `nil`) - Required. The key identifier of a private key enabled with DeviceCheck, created in your Apple Developer account.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the DeviceCheck configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/deviceCheckConfig ```\n*   `privateKey` (*type:* `String.t`, *default:* `nil`) - Required. Input only. The contents of the private key (`.p8`) file associated with the key specified by `key_id`. For security reasons, this field will never be populated in any response.\n*   `privateKeySet` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the `private_key` field was previously set. Since we will never return the `private_key` field, this field is the only way to find out whether it was previously set.\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from DeviceCheck tokens will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DeviceCheckConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest","doc":"Request message for the ExchangeAppAttestAssertion method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest","doc":"*   `artifact` (*type:* `String.t`, *default:* `nil`) - Required. The artifact returned by a previous call to ExchangeAppAttestAttestation.\n*   `assertion` (*type:* `String.t`, *default:* `nil`) - Required. The CBOR-encoded assertion returned by the client-side App Attest API.\n*   `challenge` (*type:* `String.t`, *default:* `nil`) - Required. A one-time challenge returned by an immediately prior call to GenerateAppAttestChallenge.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAssertionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest","doc":"Request message for the ExchangeAppAttestAttestation method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest","doc":"*   `attestationStatement` (*type:* `String.t`, *default:* `nil`) - Required. The App Attest statement returned by the client-side App Attest API. This is a base64url encoded CBOR object in the JSON response.\n*   `challenge` (*type:* `String.t`, *default:* `nil`) - Required. A one-time challenge returned by an immediately prior call to GenerateAppAttestChallenge.\n*   `keyId` (*type:* `String.t`, *default:* `nil`) - Required. The key ID generated by App Attest for the client app.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse","doc":"Response message for the ExchangeAppAttestAttestation method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse","doc":"*   `appCheckToken` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1AppCheckToken.t`, *default:* `nil`) - Encapsulates an App Check token.\n*   `artifact` (*type:* `String.t`, *default:* `nil`) - An artifact that can be used in future calls to ExchangeAppAttestAssertion.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeAppAttestAttestationResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeCustomTokenRequest","doc":"Request message for the ExchangeCustomToken method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeCustomTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeCustomTokenRequest","doc":"*   `customToken` (*type:* `String.t`, *default:* `nil`) - Required. A custom token signed using your project's Admin SDK service account credentials.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeCustomTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeCustomTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeCustomTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeCustomTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeCustomTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest","doc":"Request message for the ExchangeDebugToken method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest","doc":"*   `debugToken` (*type:* `String.t`, *default:* `nil`) - Required. A debug token secret. This string must match a debug token secret previously created using CreateDebugToken.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDebugTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDeviceCheckTokenRequest","doc":"Request message for the ExchangeDeviceCheckToken method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDeviceCheckTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDeviceCheckTokenRequest","doc":"*   `deviceToken` (*type:* `String.t`, *default:* `nil`) - Required. The `device_token` as returned by Apple's client-side [DeviceCheck API](https://developer.apple.com/documentation/devicecheck/dcdevice). This is the base64 encoded `Data` (Swift) or `NSData` (ObjC) object.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDeviceCheckTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDeviceCheckTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDeviceCheckTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDeviceCheckTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeDeviceCheckTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangePlayIntegrityTokenRequest","doc":"Request message for the ExchangePlayIntegrityToken method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangePlayIntegrityTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangePlayIntegrityTokenRequest","doc":"*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.\n*   `playIntegrityToken` (*type:* `String.t`, *default:* `nil`) - Required. The [integrity verdict response token from Play Integrity](https://developer.android.com/google/play/integrity/verdict#decrypt-verify) issued to your app.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangePlayIntegrityTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangePlayIntegrityTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangePlayIntegrityTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangePlayIntegrityTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangePlayIntegrityTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaEnterpriseTokenRequest","doc":"Request message for the ExchangeRecaptchaEnterpriseToken method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaEnterpriseTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaEnterpriseTokenRequest","doc":"*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.\n*   `recaptchaEnterpriseToken` (*type:* `String.t`, *default:* `nil`) - Required. The reCAPTCHA token as returned by the [reCAPTCHA Enterprise JavaScript API](https://cloud.google.com/recaptcha-enterprise/docs/instrument-web-pages).","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaEnterpriseTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaEnterpriseTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaEnterpriseTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaEnterpriseTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaEnterpriseTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaV3TokenRequest","doc":"Request message for the ExchangeRecaptchaV3Token method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaV3TokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaV3TokenRequest","doc":"*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.\n*   `recaptchaV3Token` (*type:* `String.t`, *default:* `nil`) - Required. The reCAPTCHA token as returned by the [reCAPTCHA v3 JavaScript API](https://developers.google.com/recaptcha/docs/v3).","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaV3TokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaV3TokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaV3TokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaV3TokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeRecaptchaV3TokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeSafetyNetTokenRequest","doc":"Request message for the ExchangeSafetyNetToken method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeSafetyNetTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeSafetyNetTokenRequest","doc":"*   `safetyNetToken` (*type:* `String.t`, *default:* `nil`) - Required. The [SafetyNet attestation response](https://developer.android.com/training/safetynet/attestation#request-attestation-step) issued to your app.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeSafetyNetTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeSafetyNetTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeSafetyNetTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeSafetyNetTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ExchangeSafetyNetTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest","doc":"Request message for the GenerateAppAttestChallenge method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse","doc":"Response message for the GenerateAppAttestChallenge method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse","doc":"*   `challenge` (*type:* `String.t`, *default:* `nil`) - A one-time use challenge for the client to pass to the App Attest API.\n*   `ttl` (*type:* `String.t`, *default:* `nil`) - The duration from the time this challenge is minted until its expiration. This field is intended to ease client-side token management, since the client may have clock skew, but is still able to accurately measure a duration.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GenerateAppAttestChallengeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeRequest","doc":"Request message for the GeneratePlayIntegrityChallenge method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeRequest","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeResponse","doc":"Response message for the GeneratePlayIntegrityChallenge method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeResponse","doc":"*   `challenge` (*type:* `String.t`, *default:* `nil`) - A one-time use [challenge](https://developer.android.com/google/play/integrity/verdict#protect-against-replay-attacks) for the client to pass to the Play Integrity API.\n*   `ttl` (*type:* `String.t`, *default:* `nil`) - The duration from the time this challenge is minted until its expiration. This field is intended to ease client-side token management, since the client may have clock skew, but is still able to accurately measure a duration.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1GeneratePlayIntegrityChallengeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListDebugTokensResponse","doc":"Response message for the ListDebugTokens method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListDebugTokensResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListDebugTokensResponse","doc":"*   `debugTokens` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1DebugToken.t)`, *default:* `nil`) - The DebugTokens retrieved.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty or omitted, then this response is the last page of results. This token can be used in a subsequent call to ListDebugTokens to find the next group of DebugTokens. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListDebugTokensResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListDebugTokensResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListDebugTokensResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListDebugTokensResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListDebugTokensResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListResourcePoliciesResponse","doc":"Response message for the ListResourcePolicies method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListResourcePoliciesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListResourcePoliciesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty or omitted, then this response is the last page of results. This token can be used in a subsequent call to ListResourcePolicies to find the next group of ResourcePolicy objects. Page tokens are short-lived and should not be persisted.\n*   `resourcePolicies` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.t)`, *default:* `nil`) - The ResourcePolicy objects retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListResourcePoliciesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListResourcePoliciesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListResourcePoliciesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListResourcePoliciesResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListResourcePoliciesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListServicesResponse","doc":"Response message for the ListServices method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListServicesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListServicesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty or omitted, then this response is the last page of results. This token can be used in a subsequent call to ListServices to find the next group of Services. Page tokens are short-lived and should not be persisted.\n*   `services` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.t)`, *default:* `nil`) - The Services retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListServicesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListServicesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListServicesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListServicesResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ListServicesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig","doc":"An app's Play Integrity configuration object. This configuration controls certain properties of the `AppCheckToken` returned by ExchangePlayIntegrityToken, such as its ttl. Note that your registered SHA-256 certificate fingerprints are used to validate tokens issued by the Play Integrity API; please register them via the Firebase Console or programmatically via the [Firebase Management Service](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects.androidApps.sha/create).","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the Play Integrity configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/playIntegrityConfig ```\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from Play Integrity tokens will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PlayIntegrityConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwk","doc":"A JWK as specified by [section 4 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4) and [section 6.3.1 of RFC 7518](https://tools.ietf.org/html/rfc7518#section-6.3.1).","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwk.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwk","doc":"*   `alg` (*type:* `String.t`, *default:* `nil`) - See [section 4.4 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4.4).\n*   `e` (*type:* `String.t`, *default:* `nil`) - See [section 6.3.1.2 of RFC 7518](https://tools.ietf.org/html/rfc7518#section-6.3.1.2).\n*   `kid` (*type:* `String.t`, *default:* `nil`) - See [section 4.5 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4.5).\n*   `kty` (*type:* `String.t`, *default:* `nil`) - See [section 4.1 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4.1).\n*   `n` (*type:* `String.t`, *default:* `nil`) - See [section 6.3.1.1 of RFC 7518](https://tools.ietf.org/html/rfc7518#section-6.3.1.1).\n*   `use` (*type:* `String.t`, *default:* `nil`) - See [section 4.2 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4.2).","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwk.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwk.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwk.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwk.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwkSet","doc":"The currently active set of public keys that can be used to verify App Check tokens. This object is a JWK set as specified by [section 5 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-5). For security, the response **must not** be cached for longer than six hours.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwkSet.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwkSet","doc":"*   `keys` (*type:* `list(GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwk.t)`, *default:* `nil`) - The set of public keys. See [section 5.1 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-5).","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwkSet.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwkSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwkSet.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwkSet.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1PublicJwkSet.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig","doc":"An app's reCAPTCHA Enterprise configuration object. This configuration is used by ExchangeRecaptchaEnterpriseToken to validate reCAPTCHA tokens issued to apps by reCAPTCHA Enterprise. It also controls certain properties of the returned `AppCheckToken`, such as its ttl.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the reCAPTCHA Enterprise configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaEnterpriseConfig ```\n*   `siteKey` (*type:* `String.t`, *default:* `nil`) - The score-based site key [created in reCAPTCHA Enterprise](https://cloud.google.com/recaptcha-enterprise/docs/create-key#creating_a_site_key) used to [invoke reCAPTCHA and generate the reCAPTCHA tokens](https://cloud.google.com/recaptcha-enterprise/docs/instrument-web-pages) for your application. Important: This is *not* the `site_secret` (as it is in reCAPTCHA v3), but rather your score-based reCAPTCHA Enterprise site key.\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from reCAPTCHA Enterprise tokens will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaEnterpriseConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config","doc":"An app's reCAPTCHA v3 configuration object. This configuration is used by ExchangeRecaptchaV3Token to validate reCAPTCHA tokens issued to apps by reCAPTCHA v3. It also controls certain properties of the returned `AppCheckToken`, such as its ttl.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the reCAPTCHA v3 configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaV3Config ```\n*   `siteSecret` (*type:* `String.t`, *default:* `nil`) - Required. Input only. The site secret used to identify your service for reCAPTCHA v3 verification. For security reasons, this field will never be populated in any response.\n*   `siteSecretSet` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the `site_secret` field was previously set. Since we will never return the `site_secret` field, this field is the only way to find out whether it was previously set.\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from reCAPTCHA tokens will be valid. If unset, a default value of 1 day is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1RecaptchaV3Config.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy","doc":"App Check enforcement policy for a specific resource of a Firebase service supported by App Check. Note that this policy will override the service-level configuration.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy","doc":"*   `enforcementMode` (*type:* `String.t`, *default:* `nil`) - Required. The App Check enforcement mode for this resource. This will override the EnforcementMode setting on the service.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding. This etag is strongly validated as defined by RFC 7232.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Identifier. The relative name of the resource policy object, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS) `resource_policy_id` is a system-generated UID.\n*   `targetResource` (*type:* `String.t`, *default:* `nil`) - Required. Service specific name of the resource object to which this policy applies, in the format: * `//oauth2.googleapis.com/projects/{project_number}/oauthClients/{oauth_client_id}` (Google Identity for iOS) Note that the resource must belong to the service specified in the `name` and be from the same project as this policy, but the resource is allowed to be missing at the time of creation of this policy; in that case, we make a best-effort attempt at respecting this policy, but it may not have any effect until the resource is fully created.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp when this resource policy configuration object was most recently updated.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig","doc":"An app's SafetyNet configuration object. This configuration controls certain properties of the `AppCheckToken` returned by ExchangeSafetyNetToken, such as its ttl. Note that your registered SHA-256 certificate fingerprints are used to validate tokens issued by SafetyNet; please register them via the Firebase Console or programmatically via the [Firebase Management Service](https://firebase.google.com/docs/projects/api/reference/rest/v11/projects.androidApps.sha/create).","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the SafetyNet configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/safetyNetConfig ```\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from SafetyNet tokens will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1SafetyNetConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service","doc":"The enforcement configuration for a Firebase service supported by App Check.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service","doc":"*   `enforcementMode` (*type:* `String.t`, *default:* `nil`) - Required. The App Check enforcement mode for this service.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the service configuration object, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `firebasestorage.googleapis.com` (Cloud Storage for Firebase) * `firebasedatabase.googleapis.com` (Firebase Realtime Database) * `firestore.googleapis.com` (Cloud Firestore)","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateResourcePolicyRequest","doc":"Request message for the UpdateResourcePolicy method as well as an individual update message for the BatchUpdateResourcePolicies method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateResourcePolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateResourcePolicyRequest","doc":"*   `resourcePolicy` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1ResourcePolicy.t`, *default:* `nil`) - Required. The ResourcePolicy to update. The ResourcePolicy's `name` field is used to identify the ResourcePolicy to be updated, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS)\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Required. A comma-separated list of names of fields in the ResourcePolicy to update. Example: `enforcement_mode`.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateResourcePolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateResourcePolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateResourcePolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateResourcePolicyRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateResourcePolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateServiceRequest","doc":"Request message for the UpdateService method as well as an individual update message for the BatchUpdateServices method.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateServiceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateServiceRequest","doc":"*   `service` (*type:* `GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1Service.t`, *default:* `nil`) - Required. The Service to update. The Service's `name` field is used to identify the Service to be updated, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `firebasestorage.googleapis.com` (Cloud Storage for Firebase) * `firebasedatabase.googleapis.com` (Firebase Realtime Database) * `firestore.googleapis.com` (Cloud Firestore)\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Required. A comma-separated list of names of fields in the Service to update. Example: `enforcement_mode`.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateServiceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateServiceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateServiceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateServiceRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleFirebaseAppcheckV1UpdateServiceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1.Model.GoogleProtobufEmpty.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta","doc":"API client metadata for GoogleApi.FirebaseAppCheck.V1beta.","ref":"GoogleApi.FirebaseAppCheck.V1beta.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.discovery_revision/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Jwks","doc":"API calls for all endpoints tagged `Jwks`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Jwks.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Jwks.firebaseappcheck_jwks_get/4","doc":"Returns a public JWK set as specified by [RFC 7517](https://tools.ietf.org/html/rfc7517) that can be used to verify App Check tokens. Exactly one of the public keys in the returned set will successfully validate any App Check token that is currently valid.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Jwks.html#firebaseappcheck_jwks_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Jwks.firebaseappcheck_jwks_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name to the public JWK set. Must always be exactly the string `jwks`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Jwks.html#firebaseappcheck_jwks_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Jwks.firebaseappcheck_jwks_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwkSet{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Jwks.html#firebaseappcheck_jwks_get/4-returns"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients","doc":"API calls for all endpoints tagged `OauthClients`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4","doc":"Accepts an App Attest assertion and an artifact previously obtained from ExchangeAppAttestAttestation and verifies those with Apple. If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard. Alternatively, if this method is being called for an OAuth client protected by App Check, this field can also be in the format: ``` oauthClients/{oauth_client_id} ``` You can view the OAuth client ID for your OAuth clients in the Google Cloud console. Note that only iOS OAuth clients are supported at this time, and they must be linked to corresponding iOS Firebase apps. Please see [the documentation](https://developers.google.com/identity/sign-in/ios/appcheck/get-started#project-setup) for more information.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_assertion/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4","doc":"Accepts an App Attest CBOR attestation and verifies it with Apple using your preconfigured team and bundle IDs. If valid, returns an attestation artifact that can later be exchanged for an AppCheckToken using ExchangeAppAttestAssertion. For convenience and performance, this method's response object will also contain an AppCheckToken (if the verification is successful).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard. Alternatively, if this method is being called for an OAuth client protected by App Check, this field can also be in the format: ``` oauthClients/{oauth_client_id} ``` You can view the OAuth client ID for your OAuth clients in the Google Cloud console. Note that only iOS OAuth clients are supported at this time, and they must be linked to corresponding iOS Firebase apps. Please see [the documentation](https://developers.google.com/identity/sign-in/ios/appcheck/get-started#project-setup) for more information.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_app_attest_attestation/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_debug_token/4","doc":"Validates a debug token secret that you have previously created using CreateDebugToken. If valid, returns an AppCheckToken. Note that a restrictive quota is enforced on this method to prevent accidental exposure of the app to abuse.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_debug_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_debug_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard. Alternatively, if this method is being called for an OAuth client protected by App Check, this field can also be in the format: ``` oauthClients/{oauth_client_id} ``` You can view the OAuth client ID for your OAuth clients in the Google Cloud console. Note that only iOS OAuth clients are supported at this time, and they must be linked to corresponding iOS Firebase apps. Please see [the documentation](https://developers.google.com/identity/sign-in/ios/appcheck/get-started#project-setup) for more information.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_debug_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_exchange_debug_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_exchange_debug_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_generate_app_attest_challenge/4","doc":"Generates a challenge that protects the integrity of an immediately following call to ExchangeAppAttestAttestation or ExchangeAppAttestAssertion. A challenge should not be reused for multiple calls.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_generate_app_attest_challenge/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_generate_app_attest_challenge/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard. Alternatively, if this method is being called for an OAuth client protected by App Check, this field can also be in the format: ``` oauthClients/{oauth_client_id} ``` You can view the OAuth client ID for your OAuth clients in the Google Cloud console. Note that only iOS OAuth clients are supported at this time, and they must be linked to corresponding iOS Firebase apps. Please see [the documentation](https://developers.google.com/identity/sign-in/ios/appcheck/get-started#project-setup) for more information.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_generate_app_attest_challenge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.firebaseappcheck_oauth_clients_generate_app_attest_challenge/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.OauthClients.html#firebaseappcheck_oauth_clients_generate_app_attest_challenge/4-returns"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_batch_get/4","doc":"Atomically gets the AppAttestConfigs for the specified list of apps.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all AppAttestConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the AppAttestConfigs to retrieve, in the format ``` projects/{project_number}/apps/{app_id}/appAttestConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetAppAttestConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_get/4","doc":"Gets the AppAttestConfig for the specified app.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the AppAttestConfig, in the format: ``` projects/{project_number}/apps/{app_id}/appAttestConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_patch/4","doc":"Updates the AppAttestConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange AppAttest tokens for App Check tokens.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the App Attest configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/appAttestConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the AppAttestConfig to update. Example: `token_ttl`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_app_attest_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_app_attest_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_create/4","doc":"Creates a new DebugToken for the specified app. For security reasons, after the creation operation completes, the `token` field cannot be updated or retrieved, but you can revoke the debug token using DeleteDebugToken. Each app can have a maximum of 20 debug tokens.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_create/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_create/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent app in which the specified DebugToken will be created, in the format: ``` projects/{project_number}/apps/{app_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_create/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_create/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_delete/4","doc":"Deletes the specified DebugToken. A deleted debug token cannot be used to exchange for an App Check token. Use this method when you suspect the secret `token` has been compromised or when you no longer need the debug token.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_delete/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_delete/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the DebugToken to delete, in the format: ``` projects/{project_number}/apps/{app_id}/debugTokens/{debug_token_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_delete/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_delete/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_get/4","doc":"Gets the specified DebugToken. For security reasons, the `token` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the debug token, in the format: ``` projects/{project_number}/apps/{app_id}/debugTokens/{debug_token_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_list/4","doc":"Lists all DebugTokens for the specified app. For security reasons, the `token` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_list/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_list/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent app for which to list each associated DebugToken, in the format: ``` projects/{project_number}/apps/{app_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of DebugTokens to return in the response. Note that an app can have at most 20 debug tokens. The server may return fewer than this at its own discretion. If no value is specified (or too large a value is specified), the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to ListDebugTokens indicating where in the set of DebugTokens to resume listing. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListDebugTokens must match the call that provided the page token; if they do not match, the result is undefined.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_list/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListDebugTokensResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_list/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_patch/4","doc":"Updates the specified DebugToken. For security reasons, the `token` field cannot be updated, nor will it be populated in the response, but you can revoke the debug token using DeleteDebugToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the debug token, in the format: ``` projects/{project_number}/apps/{app_id}/debugTokens/{debug_token_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the DebugToken to update. Example: `display_name`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_debug_tokens_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_debug_tokens_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_device_check_config_batch_get/4","doc":"Atomically gets the DeviceCheckConfigs for the specified list of apps. For security reasons, the `private_key` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_device_check_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all DeviceCheckConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the DeviceCheckConfigs to retrieve, in the format ``` projects/{project_number}/apps/{app_id}/deviceCheckConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_device_check_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetDeviceCheckConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_device_check_config_get/4","doc":"Gets the DeviceCheckConfig for the specified app. For security reasons, the `private_key` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_device_check_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the DeviceCheckConfig, in the format: ``` projects/{project_number}/apps/{app_id}/deviceCheckConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_device_check_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_device_check_config_patch/4","doc":"Updates the DeviceCheckConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange DeviceCheck tokens for App Check tokens. For security reasons, the `private_key` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_device_check_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the DeviceCheck configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/deviceCheckConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the DeviceCheckConfig to update. Example: `key_id,private_key`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_device_check_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_device_check_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_assertion/4","doc":"Accepts an App Attest assertion and an artifact previously obtained from ExchangeAppAttestAttestation and verifies those with Apple. If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_assertion/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_assertion/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard. Alternatively, if this method is being called for an OAuth client protected by App Check, this field can also be in the format: ``` oauthClients/{oauth_client_id} ``` You can view the OAuth client ID for your OAuth clients in the Google Cloud console. Note that only iOS OAuth clients are supported at this time, and they must be linked to corresponding iOS Firebase apps. Please see [the documentation](https://developers.google.com/identity/sign-in/ios/appcheck/get-started#project-setup) for more information.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_assertion/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_assertion/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_assertion/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_attestation/4","doc":"Accepts an App Attest CBOR attestation and verifies it with Apple using your preconfigured team and bundle IDs. If valid, returns an attestation artifact that can later be exchanged for an AppCheckToken using ExchangeAppAttestAssertion. For convenience and performance, this method's response object will also contain an AppCheckToken (if the verification is successful).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_attestation/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_attestation/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard. Alternatively, if this method is being called for an OAuth client protected by App Check, this field can also be in the format: ``` oauthClients/{oauth_client_id} ``` You can view the OAuth client ID for your OAuth clients in the Google Cloud console. Note that only iOS OAuth clients are supported at this time, and they must be linked to corresponding iOS Firebase apps. Please see [the documentation](https://developers.google.com/identity/sign-in/ios/appcheck/get-started#project-setup) for more information.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_attestation/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_app_attest_attestation/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_app_attest_attestation/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_custom_token/4","doc":"Validates a custom token signed using your project's Admin SDK service account credentials. If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_custom_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_custom_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeCustomTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_custom_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_custom_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_custom_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_debug_token/4","doc":"Validates a debug token secret that you have previously created using CreateDebugToken. If valid, returns an AppCheckToken. Note that a restrictive quota is enforced on this method to prevent accidental exposure of the app to abuse.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_debug_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_debug_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard. Alternatively, if this method is being called for an OAuth client protected by App Check, this field can also be in the format: ``` oauthClients/{oauth_client_id} ``` You can view the OAuth client ID for your OAuth clients in the Google Cloud console. Note that only iOS OAuth clients are supported at this time, and they must be linked to corresponding iOS Firebase apps. Please see [the documentation](https://developers.google.com/identity/sign-in/ios/appcheck/get-started#project-setup) for more information.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_debug_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_debug_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_debug_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_device_check_token/4","doc":"Accepts a [`device_token`](https://developer.apple.com/documentation/devicecheck/dcdevice) issued by DeviceCheck, and attempts to validate it with Apple. If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_device_check_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_device_check_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDeviceCheckTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_device_check_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_device_check_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_device_check_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_play_integrity_token/4","doc":"Validates an [integrity verdict response token from Play Integrity](https://developer.android.com/google/play/integrity/verdict#decrypt-verify). If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_play_integrity_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_play_integrity_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the Android app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangePlayIntegrityTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_play_integrity_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_play_integrity_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_play_integrity_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4","doc":"Validates a [reCAPTCHA Enterprise response token](https://cloud.google.com/recaptcha-enterprise/docs/create-assessment#retrieve_token). If valid, returns an App Check token AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the web app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaEnterpriseTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_enterprise_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_token/4","doc":"Validates a [reCAPTCHA v3 response token](https://developers.google.com/recaptcha/docs/v3). If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the web app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4","doc":"Validates a [reCAPTCHA v3 response token](https://developers.google.com/recaptcha/docs/v3). If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the web app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaV3TokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_recaptcha_v3_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_safety_net_token/4","doc":"Validates a [SafetyNet token](https://developer.android.com/training/safetynet/attestation#request-attestation-step). If valid, returns an AppCheckToken.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_safety_net_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_safety_net_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the Android app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeSafetyNetTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_safety_net_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_exchange_safety_net_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_exchange_safety_net_token/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_generate_app_attest_challenge/4","doc":"Generates a challenge that protects the integrity of an immediately following call to ExchangeAppAttestAttestation or ExchangeAppAttestAssertion. A challenge should not be reused for multiple calls.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_generate_app_attest_challenge/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_generate_app_attest_challenge/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the iOS app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard. Alternatively, if this method is being called for an OAuth client protected by App Check, this field can also be in the format: ``` oauthClients/{oauth_client_id} ``` You can view the OAuth client ID for your OAuth clients in the Google Cloud console. Note that only iOS OAuth clients are supported at this time, and they must be linked to corresponding iOS Firebase apps. Please see [the documentation](https://developers.google.com/identity/sign-in/ios/appcheck/get-started#project-setup) for more information.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_generate_app_attest_challenge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_generate_app_attest_challenge/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_generate_app_attest_challenge/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_generate_play_integrity_challenge/4","doc":"Generates a challenge that protects the integrity of an immediately following integrity verdict request to the Play Integrity API. The next call to ExchangePlayIntegrityToken using the resulting integrity token will verify the presence and validity of the challenge. A challenge should not be reused for multiple calls.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_generate_play_integrity_challenge/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_generate_play_integrity_challenge/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `app` (*type:* `String.t`) - Required. The relative resource name of the app, in the format: ``` projects/{project_number}/apps/{app_id} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_generate_play_integrity_challenge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_generate_play_integrity_challenge/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_generate_play_integrity_challenge/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_batch_get/4","doc":"Atomically gets the PlayIntegrityConfigs for the specified list of apps.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all PlayIntegrityConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the PlayIntegrityConfigs to retrieve, in the format ``` projects/{project_number}/apps/{app_id}/playIntegrityConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetPlayIntegrityConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_get/4","doc":"Gets the PlayIntegrityConfig for the specified app.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the PlayIntegrityConfig, in the format: ``` projects/{project_number}/apps/{app_id}/playIntegrityConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_patch/4","doc":"Updates the PlayIntegrityConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange Play Integrity tokens for App Check tokens.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the Play Integrity configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/playIntegrityConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the PlayIntegrityConfig to update. Example: `token_ttl`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_play_integrity_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_play_integrity_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_config_batch_get/4","doc":"Atomically gets the RecaptchaConfigs for the specified list of apps. For security reasons, the `site_secret` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all RecaptchaConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the RecaptchaConfigs to retrieve, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_config_get/4","doc":"Gets the RecaptchaConfig for the specified app. For security reasons, the `site_secret` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the RecaptchaConfig, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_config_patch/4","doc":"Updates the RecaptchaConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange reCAPTCHA tokens for App Check tokens. For security reasons, the `site_secret` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the reCAPTCHA v3 configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the RecaptchaConfig to update. Example: `site_secret`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4","doc":"Atomically gets the RecaptchaEnterpriseConfigs for the specified list of apps.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all RecaptchaEnterpriseConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the RecaptchaEnterpriseConfigs to retrieve, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaEnterpriseConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaEnterpriseConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4","doc":"Gets the RecaptchaEnterpriseConfig for the specified app.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the RecaptchaEnterpriseConfig, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaEnterpriseConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4","doc":"Updates the RecaptchaEnterpriseConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange reCAPTCHA Enterprise tokens for App Check tokens.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the reCAPTCHA Enterprise configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaEnterpriseConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the RecaptchaEnterpriseConfig to update. Example: `site_key`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_enterprise_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4","doc":"Atomically gets the RecaptchaV3Configs for the specified list of apps. For security reasons, the `site_secret` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all RecaptchaV3Configs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the RecaptchaV3Configs to retrieve, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaV3Config ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaV3ConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_get/4","doc":"Gets the RecaptchaV3Config for the specified app. For security reasons, the `site_secret` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the RecaptchaV3Config, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaV3Config ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4","doc":"Updates the RecaptchaV3Config for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange reCAPTCHA V3 tokens for App Check tokens. For security reasons, the `site_secret` field is never populated in the response.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the reCAPTCHA v3 configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaV3Config ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the RecaptchaV3Config to update. Example: `site_secret`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_recaptcha_v3_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_batch_get/4","doc":"Atomically gets the SafetyNetConfigs for the specified list of apps.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all SafetyNetConfigs being retrieved, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being retrieved must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:names` (*type:* `list(String.t)`) - Required. The relative resource names of the SafetyNetConfigs to retrieve, in the format ``` projects/{project_number}/apps/{app_id}/safetyNetConfig ``` A maximum of 100 objects can be retrieved in a batch.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_batch_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetSafetyNetConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_batch_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_get/4","doc":"Gets the SafetyNetConfig for the specified app.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the SafetyNetConfig, in the format: ``` projects/{project_number}/apps/{app_id}/safetyNetConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_patch/4","doc":"Updates the SafetyNetConfig for the specified app. While this configuration is incomplete or invalid, the app will be unable to exchange SafetyNet tokens for App Check tokens.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the SafetyNet configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/safetyNetConfig ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the SafetyNetConfig to update. Example: `token_ttl`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_apps_safety_net_config_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_apps_safety_net_config_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_batch_update/4","doc":"Atomically updates the specified Service configurations.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project name shared by all Service configurations being updated, in the format ``` projects/{project_number} ``` The parent collection in the `name` field of any resource being updated must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_batch_update/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_batch_update/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_get/4","doc":"Gets the Service configuration for the specified service name.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the Service to retrieve, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `firebasestorage.googleapis.com` (Cloud Storage for Firebase) * `firebasedatabase.googleapis.com` (Firebase Realtime Database) * `firestore.googleapis.com` (Cloud Firestore) * `identitytoolkit.googleapis.com` (Firebase Authentication with Identity Platform) * `oauth2.googleapis.com` (Google Identity for iOS)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_list/4","doc":"Lists all Service configurations for the specified project. Only Services which were explicitly configured using UpdateService or BatchUpdateServices will be returned.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_list/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_list/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent project for which to list each associated Service, in the format: ``` projects/{project_number} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of Services to return in the response. Only explicitly configured services are returned. The server may return fewer than this at its own discretion. If no value is specified (or too large a value is specified), the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to ListServices indicating where in the set of Services to resume listing. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListServices must match the call that provided the page token; if they do not match, the result is undefined.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_list/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListServicesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_list/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_patch/4","doc":"Updates the specified Service configuration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the service configuration object, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `firebasestorage.googleapis.com` (Cloud Storage for Firebase) * `firebasedatabase.googleapis.com` (Firebase Realtime Database) * `firestore.googleapis.com` (Cloud Firestore) * `identitytoolkit.googleapis.com` (Firebase Authentication with Identity Platform)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the Service to update. Example: `enforcement_mode`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_batch_update/4","doc":"Atomically updates the specified ResourcePolicy configurations.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent service name, in the format ``` projects/{project_number}/services/{service_id} ``` The parent collection in the `name` field of any resource being updated must match this field, or the entire batch fails.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_batch_update/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_batch_update/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_create/4","doc":"Creates the specified ResourcePolicy configuration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_create/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_create/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent Service in which the specified ResourcePolicy will be created, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_create/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_create/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_delete/4","doc":"Deletes the specified ResourcePolicy configuration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_delete/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_delete/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the ResourcePolicy to delete, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ```\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:etag` (*type:* `String.t`) - The checksum to be validated against the current ResourcePolicy, to ensure the client has an up-to-date value before proceeding. This checksum is computed by the server based on the values of fields in the ResourcePolicy object, and can be obtained from the ResourcePolicy object received from the last CreateResourcePolicy, GetResourcePolicy, ListResourcePolicies, UpdateResourcePolicy, or BatchUpdateResourcePolicies call. This etag is strongly validated as defined by RFC 7232.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_delete/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_delete/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_get/4","doc":"Gets the requested ResourcePolicy configuration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The relative resource name of the ResourcePolicy to retrieve, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_list/4","doc":"Lists all ResourcePolicy configurations for the specified project and service.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_list/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_list/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the parent Service for which to list each associated ResourcePolicy, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filters the results by the specified rule. For the exact syntax of this field, please consult the [AIP-160](https://google.aip.dev/160) standard. Currently, since the only fields in the ResourcePolicy resource are the scalar fields `enforcement_mode` and `target_resource`, this method does not support the traversal operator (`.`) or the has operator (`:`). Here are some examples of valid filters: * `enforcement_mode = ENFORCED` * `target_resource = \"//oauth2.googleapis.com/projects/12345/oauthClients/\"` * `enforcement_mode = ENFORCED AND target_resource = \"//oauth2.googleapis.com/projects/12345/oauthClients/\"`\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of ResourcePolicy objects to return in the response. The server may return fewer than this at its own discretion. If no value is specified (or too large a value is specified), the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to ListResourcePolicies indicating where in the set of ResourcePolicy objects to resume listing. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListResourcePolicies must match the call that provided the page token; if they do not match, the result is undefined.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_list/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListResourcePoliciesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_list/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_patch/4","doc":"Updates the specified ResourcePolicy configuration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_patch/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_patch/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Identifier. The relative name of the resource policy object, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS) `resource_policy_id` is a system-generated UID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. A comma-separated list of names of fields in the ResourcePolicy to update. Example: `enforcement_mode`.\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_services_resource_policies_patch/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_services_resource_policies_patch/4-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_verify_app_check_token/4","doc":"Verifies the given App Check token and returns token usage signals that callers may act upon. This method currently only supports App Check tokens exchanged from the following attestation providers: * Play Integrity API * App Attest * DeviceCheck (`DCDevice` tokens) * reCAPTCHA Enterprise * reCAPTCHA v3 * Custom providers App Check tokens exchanged from debug secrets are also supported. Calling this method on an otherwise valid App Check token with an unsupported provider will cause an HTTP 400 error to be returned. Returns whether this token was already consumed before this call. If this is the first time this method has seen the given App Check token, the field `already_consumed` in the response will be absent. The given token will then be marked as `already_consumed` (set to `true`) for all future invocations of this method for that token. Note that if the given App Check token is invalid, an HTTP 403 error is returned instead of a response object, regardless whether the token was already consumed. Currently, when evaluating whether an App Check token was already consumed, only calls to this exact method are counted. Use of the App Check token elsewhere will not mark the token as being already consumed. The caller must have the [`firebaseappcheck.appCheckTokens.verify`](https://firebase.google.com/docs/projects/iam/permissions#app-check) permission to call this method. This permission is part of the [Firebase App Check Token Verifier role](https://firebase.google.com/docs/projects/iam/roles-predefined-product#app-check).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_verify_app_check_token/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_verify_app_check_token/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. The relative resource name of the project for which the token was minted, in the format: ``` projects/{project_number} ``` If necessary, the `project_number` element can be replaced with the project ID of the Firebase project. Learn more about using project identifiers in Google's [AIP 2510](https://google.aip.dev/cloud/2510) standard.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_verify_app_check_token/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.firebaseappcheck_projects_verify_app_check_token/4","doc":"*   `{:ok, %GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseAppCheck.V1beta.Api.Projects.html#firebaseappcheck_projects_verify_app_check_token/4-returns"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection","doc":"Handle Tesla connections for GoogleApi.FirebaseAppCheck.V1beta.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#get/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#head/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.FirebaseAppCheck.V1beta.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseAppCheck.V1beta.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#options/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#post/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#put/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.FirebaseAppCheck.V1beta.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.FirebaseAppCheck.V1beta.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Connection.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig","doc":"An app's App Attest configuration object. This configuration controls certain properties of the `AppCheckToken` returned by ExchangeAppAttestAttestation and ExchangeAppAttestAssertion, such as its ttl. Note that the Team ID registered with your app is used as part of the validation process. Please register it via the Firebase Console or programmatically via the [Firebase Management Service](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects.iosApps/patch).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the App Attest configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/appAttestConfig ```\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from App Attest artifacts will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken","doc":"Encapsulates an *App Check token*, which are used to access Firebase services protected by App Check.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken","doc":"*   `attestationToken` (*type:* `String.t`, *default:* `nil`) - An App Check token. App Check tokens are signed [JWTs](https://tools.ietf.org/html/rfc7519) containing claims that identify the attested app and Firebase project. This token is used to access Firebase services protected by App Check.\n*   `token` (*type:* `String.t`, *default:* `nil`) - An App Check token. App Check tokens are signed [JWTs](https://tools.ietf.org/html/rfc7519) containing claims that identify the attested app and Firebase project. This token is used to access Firebase services protected by App Check.\n*   `ttl` (*type:* `String.t`, *default:* `nil`) - The duration from the time this token is minted until its expiration. This field is intended to ease client-side token management, since the client may have clock skew, but is still able to accurately measure a duration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAttestationTokenResponse","doc":"Encapsulates an *App Check token*, which are used to access Firebase services protected by App Check.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAttestationTokenResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAttestationTokenResponse","doc":"*   `attestationToken` (*type:* `String.t`, *default:* `nil`) - An App Check token. App Check tokens are signed [JWTs](https://tools.ietf.org/html/rfc7519) containing claims that identify the attested app and Firebase project. This token is used to access Firebase services protected by App Check.\n*   `ttl` (*type:* `String.t`, *default:* `nil`) - The duration from the time this token is minted until its expiration. This field is intended to ease client-side token management, since the client may have clock skew, but is still able to accurately measure a duration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAttestationTokenResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAttestationTokenResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAttestationTokenResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAttestationTokenResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAttestationTokenResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetAppAttestConfigsResponse","doc":"Response message for the BatchGetAppAttestConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetAppAttestConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetAppAttestConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppAttestConfig.t)`, *default:* `nil`) - AppAttestConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetAppAttestConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetAppAttestConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetAppAttestConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetAppAttestConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetAppAttestConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetDeviceCheckConfigsResponse","doc":"Response message for the BatchGetDeviceCheckConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetDeviceCheckConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetDeviceCheckConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig.t)`, *default:* `nil`) - DeviceCheckConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetDeviceCheckConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetDeviceCheckConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetDeviceCheckConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetDeviceCheckConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetDeviceCheckConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetPlayIntegrityConfigsResponse","doc":"Response message for the BatchGetPlayIntegrityConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetPlayIntegrityConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetPlayIntegrityConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig.t)`, *default:* `nil`) - PlayIntegrityConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetPlayIntegrityConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetPlayIntegrityConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetPlayIntegrityConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetPlayIntegrityConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetPlayIntegrityConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaConfigsResponse","doc":"Response message for the BatchGetRecaptchaConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig.t)`, *default:* `nil`) - RecaptchaConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaEnterpriseConfigsResponse","doc":"Response message for the BatchGetRecaptchaEnterpriseConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaEnterpriseConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaEnterpriseConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig.t)`, *default:* `nil`) - RecaptchaEnterpriseConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaEnterpriseConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaEnterpriseConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaEnterpriseConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaEnterpriseConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaEnterpriseConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaV3ConfigsResponse","doc":"Response message for the BatchGetRecaptchaV3Configs method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaV3ConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaV3ConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config.t)`, *default:* `nil`) - RecaptchaV3Configs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaV3ConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaV3ConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaV3ConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaV3ConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetRecaptchaV3ConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetSafetyNetConfigsResponse","doc":"Response message for the BatchGetSafetyNetConfigs method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetSafetyNetConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetSafetyNetConfigsResponse","doc":"*   `configs` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig.t)`, *default:* `nil`) - SafetyNetConfigs retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetSafetyNetConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetSafetyNetConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetSafetyNetConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetSafetyNetConfigsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchGetSafetyNetConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesRequest","doc":"Request message for the BatchUpdateResourcePolicies method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesRequest","doc":"*   `requests` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateResourcePolicyRequest.t)`, *default:* `nil`) - Required. The request messages specifying the ResourcePolicy objects to update. A maximum of 100 objects can be updated in a batch.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Optional. A comma-separated list of names of fields in the ResourcePolicy objects to update. Example: `enforcement_mode`. If this field is present, the `update_mask` field in the UpdateResourcePolicyRequest messages must all match this field, or the entire batch fails and no updates will be committed.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesResponse","doc":"Response message for the BatchUpdateResourcePolicies method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesResponse","doc":"*   `resourcePolicies` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.t)`, *default:* `nil`) - ResourcePolicy objects after the updates have been applied.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateResourcePoliciesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesRequest","doc":"Request message for the BatchUpdateServices method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesRequest","doc":"*   `requests` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateServiceRequest.t)`, *default:* `nil`) - Required. The request messages specifying the Services to update. A maximum of 100 objects can be updated in a batch.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Optional. A comma-separated list of names of fields in the Services to update. Example: `display_name`. If the `update_mask` field is set in both this request and any of the UpdateServiceRequest messages, they must match or the entire batch fails and no updates will be committed.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesResponse","doc":"Response message for the BatchUpdateServices method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesResponse","doc":"*   `services` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.t)`, *default:* `nil`) - Service objects after the updates have been applied.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaBatchUpdateServicesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken","doc":"A *debug token* is a secret used during the development or integration testing of an app. It essentially allows the development or integration testing to bypass app attestation while still allowing App Check to enforce protection on supported production Firebase services.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. A human readable display name used to identify this debug token.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the debug token, in the format: ``` projects/{project_number}/apps/{app_id}/debugTokens/{debug_token_id} ```\n*   `token` (*type:* `String.t`, *default:* `nil`) - Required. Input only. Immutable. The secret token itself. Must be provided during creation, and must be a UUID4, case insensitive. This field is immutable once set, and cannot be provided during an UpdateDebugToken request. You can, however, delete this debug token using DeleteDebugToken to revoke it. For security reasons, this field will never be populated in any response.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp when this debug token was most recently updated.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig","doc":"An app's DeviceCheck configuration object. This configuration is used by ExchangeDeviceCheckToken to validate device tokens issued to apps by DeviceCheck. It also controls certain properties of the returned `AppCheckToken`, such as its ttl. Note that the Team ID registered with your app is used as part of the validation process. Please register it via the Firebase Console or programmatically via the [Firebase Management Service](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects.iosApps/patch).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig","doc":"*   `keyId` (*type:* `String.t`, *default:* `nil`) - Required. The key identifier of a private key enabled with DeviceCheck, created in your Apple Developer account.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the DeviceCheck configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/deviceCheckConfig ```\n*   `privateKey` (*type:* `String.t`, *default:* `nil`) - Required. Input only. The contents of the private key (`.p8`) file associated with the key specified by `key_id`. For security reasons, this field will never be populated in any response.\n*   `privateKeySet` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the `private_key` field was previously set. Since we will never return the `private_key` field, this field is the only way to find out whether it was previously set.\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from DeviceCheck tokens will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDeviceCheckConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest","doc":"Request message for the ExchangeAppAttestAssertion method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest","doc":"*   `artifact` (*type:* `String.t`, *default:* `nil`) - Required. The artifact returned by a previous call to ExchangeAppAttestAttestation.\n*   `assertion` (*type:* `String.t`, *default:* `nil`) - Required. The CBOR-encoded assertion returned by the client-side App Attest API.\n*   `challenge` (*type:* `String.t`, *default:* `nil`) - Required. A one-time challenge returned by an immediately prior call to GenerateAppAttestChallenge.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAssertionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest","doc":"Request message for the ExchangeAppAttestAttestation method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest","doc":"*   `attestationStatement` (*type:* `String.t`, *default:* `nil`) - Required. The App Attest statement returned by the client-side App Attest API. This is a base64url encoded CBOR object in the JSON response.\n*   `challenge` (*type:* `String.t`, *default:* `nil`) - Required. A one-time challenge returned by an immediately prior call to GenerateAppAttestChallenge.\n*   `keyId` (*type:* `String.t`, *default:* `nil`) - Required. The key ID generated by App Attest for the client app.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse","doc":"Response message for the ExchangeAppAttestAttestation method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse","doc":"*   `appCheckToken` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAppCheckToken.t`, *default:* `nil`) - Encapsulates an App Check token.\n*   `artifact` (*type:* `String.t`, *default:* `nil`) - An artifact that can be used in future calls to ExchangeAppAttestAssertion.\n*   `attestationToken` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaAttestationTokenResponse.t`, *default:* `nil`) - Encapsulates an App Check token.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeAppAttestAttestationResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeCustomTokenRequest","doc":"Request message for the ExchangeCustomToken method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeCustomTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeCustomTokenRequest","doc":"*   `customToken` (*type:* `String.t`, *default:* `nil`) - Required. A custom token signed using your project's Admin SDK service account credentials.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeCustomTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeCustomTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeCustomTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeCustomTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeCustomTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest","doc":"Request message for the ExchangeDebugToken method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest","doc":"*   `debugToken` (*type:* `String.t`, *default:* `nil`) - Required. A debug token secret. This string must match a debug token secret previously created using CreateDebugToken.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDebugTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDeviceCheckTokenRequest","doc":"Request message for the ExchangeDeviceCheckToken method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDeviceCheckTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDeviceCheckTokenRequest","doc":"*   `deviceToken` (*type:* `String.t`, *default:* `nil`) - Required. The `device_token` as returned by Apple's client-side [DeviceCheck API](https://developer.apple.com/documentation/devicecheck/dcdevice). This is the base64 encoded `Data` (Swift) or `NSData` (ObjC) object.\n*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDeviceCheckTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDeviceCheckTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDeviceCheckTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDeviceCheckTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeDeviceCheckTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangePlayIntegrityTokenRequest","doc":"Request message for the ExchangePlayIntegrityToken method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangePlayIntegrityTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangePlayIntegrityTokenRequest","doc":"*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.\n*   `playIntegrityToken` (*type:* `String.t`, *default:* `nil`) - Required. The [integrity verdict response token from Play Integrity](https://developer.android.com/google/play/integrity/verdict#decrypt-verify) issued to your app.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangePlayIntegrityTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangePlayIntegrityTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangePlayIntegrityTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangePlayIntegrityTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangePlayIntegrityTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaEnterpriseTokenRequest","doc":"Request message for the ExchangeRecaptchaEnterpriseToken method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaEnterpriseTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaEnterpriseTokenRequest","doc":"*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.\n*   `recaptchaEnterpriseToken` (*type:* `String.t`, *default:* `nil`) - Required. The reCAPTCHA token as returned by the [reCAPTCHA Enterprise JavaScript API](https://cloud.google.com/recaptcha-enterprise/docs/instrument-web-pages).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaEnterpriseTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaEnterpriseTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaEnterpriseTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaEnterpriseTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaEnterpriseTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaTokenRequest","doc":"Request message for the ExchangeRecaptchaToken method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaTokenRequest","doc":"*   `recaptchaToken` (*type:* `String.t`, *default:* `nil`) - Required. The reCAPTCHA token as returned by the [reCAPTCHA v3 JavaScript API](https://developers.google.com/recaptcha/docs/v3).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaV3TokenRequest","doc":"Request message for the ExchangeRecaptchaV3Token method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaV3TokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaV3TokenRequest","doc":"*   `limitedUse` (*type:* `boolean()`, *default:* `nil`) - Specifies whether this attestation is for use in a *limited use* (`true`) or *session based* (`false`) context. To enable this attestation to be used with the *replay protection* feature, set this to `true`. The default value is `false`.\n*   `recaptchaV3Token` (*type:* `String.t`, *default:* `nil`) - Required. The reCAPTCHA token as returned by the [reCAPTCHA v3 JavaScript API](https://developers.google.com/recaptcha/docs/v3).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaV3TokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaV3TokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaV3TokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaV3TokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeRecaptchaV3TokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeSafetyNetTokenRequest","doc":"Request message for the ExchangeSafetyNetToken method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeSafetyNetTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeSafetyNetTokenRequest","doc":"*   `safetyNetToken` (*type:* `String.t`, *default:* `nil`) - Required. The [SafetyNet attestation response](https://developer.android.com/training/safetynet/attestation#request-attestation-step) issued to your app.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeSafetyNetTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeSafetyNetTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeSafetyNetTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeSafetyNetTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaExchangeSafetyNetTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest","doc":"Request message for the GenerateAppAttestChallenge method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse","doc":"Response message for the GenerateAppAttestChallenge method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse","doc":"*   `challenge` (*type:* `String.t`, *default:* `nil`) - A one-time use challenge for the client to pass to the App Attest API.\n*   `ttl` (*type:* `String.t`, *default:* `nil`) - The duration from the time this challenge is minted until its expiration. This field is intended to ease client-side token management, since the client may have clock skew, but is still able to accurately measure a duration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGenerateAppAttestChallengeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeRequest","doc":"Request message for the GeneratePlayIntegrityChallenge method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeRequest","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeResponse","doc":"Response message for the GeneratePlayIntegrityChallenge method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeResponse","doc":"*   `challenge` (*type:* `String.t`, *default:* `nil`) - A one-time use [challenge](https://developer.android.com/google/play/integrity/verdict#protect-against-replay-attacks) for the client to pass to the Play Integrity API.\n*   `ttl` (*type:* `String.t`, *default:* `nil`) - The duration from the time this challenge is minted until its expiration. This field is intended to ease client-side token management, since the client may have clock skew, but is still able to accurately measure a duration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaGeneratePlayIntegrityChallengeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListDebugTokensResponse","doc":"Response message for the ListDebugTokens method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListDebugTokensResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListDebugTokensResponse","doc":"*   `debugTokens` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaDebugToken.t)`, *default:* `nil`) - The DebugTokens retrieved.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty or omitted, then this response is the last page of results. This token can be used in a subsequent call to ListDebugTokens to find the next group of DebugTokens. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListDebugTokensResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListDebugTokensResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListDebugTokensResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListDebugTokensResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListDebugTokensResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListResourcePoliciesResponse","doc":"Response message for the ListResourcePolicies method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListResourcePoliciesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListResourcePoliciesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty or omitted, then this response is the last page of results. This token can be used in a subsequent call to ListResourcePolicies to find the next group of ResourcePolicy objects. Page tokens are short-lived and should not be persisted.\n*   `resourcePolicies` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.t)`, *default:* `nil`) - The ResourcePolicy objects retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListResourcePoliciesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListResourcePoliciesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListResourcePoliciesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListResourcePoliciesResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListResourcePoliciesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListServicesResponse","doc":"Response message for the ListServices method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListServicesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListServicesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty or omitted, then this response is the last page of results. This token can be used in a subsequent call to ListServices to find the next group of Services. Page tokens are short-lived and should not be persisted.\n*   `services` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.t)`, *default:* `nil`) - The Services retrieved.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListServicesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListServicesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListServicesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListServicesResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaListServicesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig","doc":"An app's Play Integrity configuration object. This configuration controls certain properties of the `AppCheckToken` returned by ExchangePlayIntegrityToken, such as its ttl. Note that your registered SHA-256 certificate fingerprints are used to validate tokens issued by the Play Integrity API; please register them via the Firebase Console or programmatically via the [Firebase Management Service](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects.androidApps.sha/create).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the Play Integrity configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/playIntegrityConfig ```\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from Play Integrity tokens will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPlayIntegrityConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwk","doc":"A JWK as specified by [section 4 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4) and [section 6.3.1 of RFC 7518](https://tools.ietf.org/html/rfc7518#section-6.3.1).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwk.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwk","doc":"*   `alg` (*type:* `String.t`, *default:* `nil`) - See [section 4.4 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4.4).\n*   `e` (*type:* `String.t`, *default:* `nil`) - See [section 6.3.1.2 of RFC 7518](https://tools.ietf.org/html/rfc7518#section-6.3.1.2).\n*   `kid` (*type:* `String.t`, *default:* `nil`) - See [section 4.5 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4.5).\n*   `kty` (*type:* `String.t`, *default:* `nil`) - See [section 4.1 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4.1).\n*   `n` (*type:* `String.t`, *default:* `nil`) - See [section 6.3.1.1 of RFC 7518](https://tools.ietf.org/html/rfc7518#section-6.3.1.1).\n*   `use` (*type:* `String.t`, *default:* `nil`) - See [section 4.2 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-4.2).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwk.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwk.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwk.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwk.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwkSet","doc":"The currently active set of public keys that can be used to verify App Check tokens. This object is a JWK set as specified by [section 5 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-5). For security, the response **must not** be cached for longer than six hours.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwkSet.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwkSet","doc":"*   `keys` (*type:* `list(GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwk.t)`, *default:* `nil`) - The set of public keys. See [section 5.1 of RFC 7517](https://tools.ietf.org/html/rfc7517#section-5).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwkSet.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwkSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwkSet.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwkSet.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaPublicJwkSet.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig","doc":"An app's reCAPTCHA v3 configuration object. This configuration is used by ExchangeRecaptchaToken to validate reCAPTCHA tokens issued to apps by reCAPTCHA v3. It also controls certain properties of the returned `AppCheckToken`, such as its ttl.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the reCAPTCHA v3 configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaConfig ```\n*   `siteSecret` (*type:* `String.t`, *default:* `nil`) - Required. Input only. The site secret used to identify your service for reCAPTCHA v3 verification. For security reasons, this field will never be populated in any response.\n*   `siteSecretSet` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the `site_secret` field was previously set. Since we will never return the `site_secret` field, this field is the only way to find out whether it was previously set.\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from reCAPTCHA tokens will be valid. If unset, a default value of 1 day is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig","doc":"An app's reCAPTCHA Enterprise configuration object. This configuration is used by ExchangeRecaptchaEnterpriseToken to validate reCAPTCHA tokens issued to apps by reCAPTCHA Enterprise. It also controls certain properties of the returned `AppCheckToken`, such as its ttl.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the reCAPTCHA Enterprise configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaEnterpriseConfig ```\n*   `siteKey` (*type:* `String.t`, *default:* `nil`) - The score-based site key [created in reCAPTCHA Enterprise](https://cloud.google.com/recaptcha-enterprise/docs/create-key#creating_a_site_key) used to [invoke reCAPTCHA and generate the reCAPTCHA tokens](https://cloud.google.com/recaptcha-enterprise/docs/instrument-web-pages) for your application. Important: This is *not* the `site_secret` (as it is in reCAPTCHA v3), but rather your score-based reCAPTCHA Enterprise site key.\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from reCAPTCHA Enterprise tokens will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaEnterpriseConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config","doc":"An app's reCAPTCHA v3 configuration object. This configuration is used by ExchangeRecaptchaV3Token to validate reCAPTCHA tokens issued to apps by reCAPTCHA v3. It also controls certain properties of the returned `AppCheckToken`, such as its ttl.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the reCAPTCHA v3 configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/recaptchaV3Config ```\n*   `siteSecret` (*type:* `String.t`, *default:* `nil`) - Required. Input only. The site secret used to identify your service for reCAPTCHA v3 verification. For security reasons, this field will never be populated in any response.\n*   `siteSecretSet` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the `site_secret` field was previously set. Since we will never return the `site_secret` field, this field is the only way to find out whether it was previously set.\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from reCAPTCHA tokens will be valid. If unset, a default value of 1 day is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaRecaptchaV3Config.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy","doc":"App Check enforcement policy for a specific resource of a Firebase service supported by App Check. Note that this policy will override the service-level configuration.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy","doc":"*   `enforcementMode` (*type:* `String.t`, *default:* `nil`) - Required. The App Check enforcement mode for this resource. This will override the EnforcementMode setting on the parent service.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding. This etag is strongly validated as defined by RFC 7232.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Identifier. The relative name of the resource policy object, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS) `resource_policy_id` is a system-generated UID.\n*   `targetResource` (*type:* `String.t`, *default:* `nil`) - Required. Service specific name of the resource object to which this policy applies, in the format: * `//oauth2.googleapis.com/projects/{project_number}/oauthClients/{oauth_client_id}` (Google Identity for iOS) Note that the resource must belong to the service specified in the `name` and be from the same project as this policy, but the resource is allowed to be missing at the time of creation of this policy; in that case, we make a best-effort attempt at respecting this policy, but it may not have any effect until the resource is fully created.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp when this resource policy configuration object was most recently updated.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig","doc":"An app's SafetyNet configuration object. This configuration controls certain properties of the `AppCheckToken` returned by ExchangeSafetyNetToken, such as its ttl. Note that your registered SHA-256 certificate fingerprints are used to validate tokens issued by SafetyNet; please register them via the Firebase Console or programmatically via the [Firebase Management Service](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects.androidApps.sha/create).","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the SafetyNet configuration object, in the format: ``` projects/{project_number}/apps/{app_id}/safetyNetConfig ```\n*   `tokenTtl` (*type:* `String.t`, *default:* `nil`) - Specifies the duration for which App Check tokens exchanged from SafetyNet tokens will be valid. If unset, a default value of 1 hour is assumed. Must be between 30 minutes and 7 days, inclusive.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaSafetyNetConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService","doc":"The enforcement configuration for a Firebase service supported by App Check.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService","doc":"*   `enforcementMode` (*type:* `String.t`, *default:* `nil`) - Required. The App Check enforcement mode for this service.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding. This etag is strongly validated as defined by RFC 7232.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The relative resource name of the service configuration object, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `firebasestorage.googleapis.com` (Cloud Storage for Firebase) * `firebasedatabase.googleapis.com` (Firebase Realtime Database) * `firestore.googleapis.com` (Cloud Firestore) * `identitytoolkit.googleapis.com` (Firebase Authentication with Identity Platform)\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp when this service configuration object was most recently updated.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateResourcePolicyRequest","doc":"Request message for the UpdateResourcePolicy method as well as an individual update message for the BatchUpdateResourcePolicies method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateResourcePolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateResourcePolicyRequest","doc":"*   `resourcePolicy` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaResourcePolicy.t`, *default:* `nil`) - Required. The ResourcePolicy to update. The ResourcePolicy's `name` field is used to identify the ResourcePolicy to be updated, in the format: ``` projects/{project_number}/services/{service_id}/resourcePolicies/{resource_policy_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `oauth2.googleapis.com` (Google Identity for iOS)\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Required. A comma-separated list of names of fields in the ResourcePolicy to update. Example: `enforcement_mode`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateResourcePolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateResourcePolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateResourcePolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateResourcePolicyRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateResourcePolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateServiceRequest","doc":"Request message for the UpdateService method as well as an individual update message for the BatchUpdateServices method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateServiceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateServiceRequest","doc":"*   `service` (*type:* `GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaService.t`, *default:* `nil`) - Required. The Service to update. The Service's `name` field is used to identify the Service to be updated, in the format: ``` projects/{project_number}/services/{service_id} ``` Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported: * `firebasestorage.googleapis.com` (Cloud Storage for Firebase) * `firebasedatabase.googleapis.com` (Firebase Realtime Database) * `firestore.googleapis.com` (Cloud Firestore) * `identitytoolkit.googleapis.com` (Firebase Authentication with Identity Platform) * `oauth2.googleapis.com` (Google Identity for iOS) For Firebase Authentication to work with App Check, you must first upgrade to [Firebase Authentication with Identity Platform](https://firebase.google.com/docs/auth#identity-platform).\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Required. A comma-separated list of names of fields in the Service to update. Example: `enforcement_mode`.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateServiceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateServiceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateServiceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateServiceRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaUpdateServiceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenRequest","doc":"Request message for the VerifyAppCheckToken method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenRequest","doc":"*   `appCheckToken` (*type:* `String.t`, *default:* `nil`) - Required. The App Check token to verify. App Check tokens exchanged from the SafetyNet provider are not supported; an HTTP 400 error will be returned.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenRequest.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenResponse","doc":"Response message for the VerifyAppCheckToken method.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenResponse","doc":"*   `alreadyConsumed` (*type:* `boolean()`, *default:* `nil`) - Whether this token was already consumed. If this is the first time this method has seen the given App Check token, this field will be omitted from the response. The given token will then be marked as `already_consumed` (set to `true`) for all future invocations of this method for that token. Note that if the given App Check token is invalid, an HTTP 403 error is returned instead of a response containing this field, regardless whether the token was already consumed.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenResponse.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleFirebaseAppcheckV1betaVerifyAppCheckTokenResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty.t/0","doc":"","ref":"GoogleApi.FirebaseAppCheck.V1beta.Model.GoogleProtobufEmpty.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}